﻿import {useBaseApi} from '/@/api/base';

// 客户菜单表接口服务
export const useFB_CustomerRoleApi = () => {
	const baseApi = useBaseApi("fB_CustomerRole");
	return {
		// 分页查询客户菜单表
		page: baseApi.page,
		// 查看客户菜单表详细
		detail: baseApi.detail,
		// 新增客户菜单表
		add: baseApi.add,
		// 更新客户菜单表
		update: baseApi.update,
		// 删除客户菜单表
		delete: baseApi.delete,
		// 批量删除客户菜单表
		batchDelete: baseApi.batchDelete,
		// 导出客户菜单表数据
		exportData: baseApi.exportData,
		// 导入客户菜单表数据
		importData: baseApi.importData,
		// 下载客户菜单表数据导入模板
		downloadTemplate: baseApi.downloadTemplate,
	}
}

// 客户菜单表实体
export interface FB_CustomerRole {
	// 主键Id
	id: number;
	// 用户Id
	cutomerId?: number;
	// 角色Id
	roleId?: number;
}